org.eclipse.wst.jsdt.chromium

## Interface CallFrame

    public interface CallFrame

An object that represents a browser JavaScript VM call frame.

### Method Summary

All Methods Instance Methods Abstract Methods
`JsEvaluateContext` `getEvaluateContext()`
`java.lang.String` `getFunctionName()`
`JsVariable` `getReceiverVariable()`
`Script` `getScript()`
`TextStreamPosition` `getStatementStartPosition()`
`java.util.List<? extends JsScope>` `getVariableScopes()`

### Method Detail

#### getVariableScopes

    java.util.List<? extends JsScope> getVariableScopes()

Returns:
  the scopes known in this frame; ordered, innermost first, global scope last

#### getReceiverVariable

    JsVariable getReceiverVariable()
                            throws MethodIsBlockingException

Returns:
  the receiver variable known in this frame
Throws:
  `MethodIsBlockingException` - because it may need to load value from remote

#### getScript

    Script getScript()

Returns:
  the source script this call frame is associated with; `null` if no script is associated with the call frame (e.g. an exception could have been thrown in a native script)

#### getStatementStartPosition

    TextStreamPosition getStatementStartPosition()

Returns:
  the start position (absolute) of the current statement in the Script corresponding to this frame or null if position in not available

#### getFunctionName

    java.lang.String getFunctionName()

Returns:
  the name of the current function of this frame

#### getEvaluateContext

    JsEvaluateContext getEvaluateContext()

Returns:
  context for evaluating expressions in scope of this frame